export declare class HistoryStore {
    protected _idbFactory: IDBFactory;
    protected _idb: IDBDatabase | null;
    protected _nextEntryKey: number;
    protected _entryCount: number;
    constructor();
    load(): Promise<[string[], number]>;
    open(): Promise<void>;
    protected loadMetadata(): Promise<void>;
    protected createSchema(idb: IDBDatabase): void;
    reset(): Promise<void>;
    push(input: string): Promise<void>;
}
